# Couenne::exprIVar Class Reference

variable-type operator. More...

`#include <CouenneExprIVar.hpp>`

Inheritance diagram for Couenne::exprIVar:

List of all members.

## Public Member Functions
| exprIVar (int varIndex, Domain *d=NULL)
| Constructor.
| exprIVar (const exprIVar &e, Domain *d=NULL)
| Copy constructor -- must go.
virtual exprVar * | clone (Domain *d=NULL) const
| Cloning method.
virtual void | print (std::ostream &out=std::cout, bool=false) const
| Print.
virtual bool | isDefinedInteger ()
| is this expression defined as an integer?
virtual bool | isInteger ()
| Is this expression integer?

## Detailed Description

variable-type operator.

All variables of the expression must be objects of this class

Definition at line 25 of file CouenneExprIVar.hpp.

## Constructor & Destructor Documentation

Couenne::exprIVar::exprIVar | ( | int | varIndex,
|  | Domain * | d = `NULL` |
| ) |  |  | `[inline]`

Constructor.

Definition at line 30 of file CouenneExprIVar.hpp.

Referenced by clone().

Couenne::exprIVar::exprIVar | ( | const exprIVar & | e,
|  | Domain * | d = `NULL` |
| ) |  |  | `[inline]`

Copy constructor -- must go.

Definition at line 34 of file CouenneExprIVar.hpp.

## Member Function Documentation

virtual exprVar* Couenne::exprIVar::clone | ( | Domain * | d = `NULL` | ) | const`[inline, virtual]`

Cloning method.

Reimplemented from Couenne::exprVar.

Definition at line 38 of file CouenneExprIVar.hpp.

References exprIVar().

virtual void Couenne::exprIVar::print | ( | std::ostream & | out = `std::cout`,
|  | bool | = `false` |
| ) |  |  | const`[inline, virtual]`

Print.

Reimplemented from Couenne::exprVar.

Definition at line 42 of file CouenneExprIVar.hpp.

References Couenne::exprVar::varIndex_.

virtual bool Couenne::exprIVar::isDefinedInteger | ( |  | ) | `[inline, virtual]`

is this expression defined as an integer?

Reimplemented from Couenne::exprVar.

Definition at line 46 of file CouenneExprIVar.hpp.

virtual bool Couenne::exprIVar::isInteger | ( |  | ) | `[inline, virtual]`

Is this expression integer?

Reimplemented from Couenne::exprVar.

Definition at line 50 of file CouenneExprIVar.hpp.

The documentation for this class was generated from the following file:

- CouenneExprIVar.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines